Skip to content

Activate Protected Registry Customer

POST
/v1/packages/registry/customer-activations
curl --request POST \
--url 'https://example.com/v1/packages/registry/customer-activations?tenant_id=' \
--header 'Content-Type: application/json' \
--data '{}'
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
PortalRegistryCustomerActivationOut
object
customer_slug
Customer Slug
string
""
customer_session_token
Customer Session Token
string
""
expires_at
Expires At
string
""
device_id
Device Id
string
""
Example
{
"customer_slug": "",
"customer_session_token": "",
"expires_at": "",
"device_id": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}